package com.ruoyi.project.pssr.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 盲板对象 t_pssr_blind
 *
 * @author ssy
 * @date 2024-09-23
 */
public class TPssrBlind extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 从表id */
    @Excel(name = "从表id")
    private Long subId;

    /** 审批id */
    @Excel(name = "审批id")
    private Long approveId;

    /** 单元/系统号 */
    @Excel(name = "区域")
    private String unitNo;

    /** P&ID图号 */
    @Excel(name = "P&ID图号")
    private String pidNo;

    /** 管线号 */
    @Excel(name = "管线号")
    private String pipelineNo;

    /** 介质 */
    @Excel(name = "介质")
    private String medium;

    /** 隔离/盲板编号 */
    @Excel(name = "盲板编号")
    private String blindNo;

    /** 所在位置 */
    @Excel(name = "所在位置")
    private String location;

    /** 隔离类型 */
    @Excel(name = "隔离类型")
    private String isoType;

    /** 被隔离设备/管线位号 */
    @Excel(name = "被隔离设备/管线位号")
    private String tagNo;

    /** 尺寸 */
    @Excel(name = "尺寸")
    private String blindSize;

    /** 压力等级 */
    @Excel(name = "压力等级")
    private String pressureRate;

    /** 是否承压 */
    @Excel(name = "是否承压")
    private String pressurized;

    /** 是否“8”字板 */
    @Excel(name = "是否“8”字板")
    private String figure;

    /** 安装时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "安装时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date installDate;

    /** 工艺操作人员 */
    @Excel(name = "工艺操作人员")
    private String inProcess;

    /** 设备/仪表协调员 */
    @Excel(name = "设备/仪表协调员")
    private String inCoordinator;

    /** 承包商 */
    @Excel(name = "承包商")
    private String inContractor;

    /** 片区盲板司令 */
    @Excel(name = "片区盲板司令")
    private String inConfirm1;

    /** 盲板总司令 */
    @Excel(name = "盲板总司令")
    private String inConfirm2;

    /** 拆装时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "拆装时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date removedDate;

    /** 工艺操作人员 */
    @Excel(name = "工艺操作人员")
    private String reProcess;

    /** 设备/仪表协调员 */
    @Excel(name = "设备/仪表协调员")
    private String reCoordinator;

    /** 承包商 */
    @Excel(name = "承包商")
    private String reContractor;

    /** 片区盲板司令 */
    @Excel(name = "片区盲板司令")
    private String reConfirm1;

    /** 盲板总司令 */
    @Excel(name = "盲板总司令")
    private String reConfirm2;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;
    
    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    private String currentUser;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;
    private String confirm1Name;
    private String confirm2Name;
    private List<Long> fileIds;
    private List<TPssrFile> fileList;

    private String reason;
    
    private Long fileNum;

    public Long getFileNum() {
        return fileNum;
    }

    public void setFileNum(Long fileNum) {
        this.fileNum = fileNum;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public List<TPssrFile> getFileList() {
        return fileList;
    }

    public void setFileList(List<TPssrFile> fileList) {
        this.fileList = fileList;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public String getConfirm1Name() {
        return confirm1Name;
    }

    public void setConfirm1Name(String confirm1Name) {
        this.confirm1Name = confirm1Name;
    }

    public String getConfirm2Name() {
        return confirm2Name;
    }

    public void setConfirm2Name(String confirm2Name) {
        this.confirm2Name = confirm2Name;
    }

    private Long[] ids;

    private Long taskType;
    private String installStatus;
    private String removeStatus;


    private String blindType;
    private String startupStatus;
    private String actualStatus;
    private String satisfy;

    public String getBlindType() {
        return blindType;
    }

    public void setBlindType(String blindType) {
        this.blindType = blindType;
    }

    public String getStartupStatus() {
        return startupStatus;
    }

    public void setStartupStatus(String startupStatus) {
        this.startupStatus = startupStatus;
    }

    public String getActualStatus() {
        return actualStatus;
    }

    public void setActualStatus(String actualStatus) {
        this.actualStatus = actualStatus;
    }

    public String getSatisfy() {
        return satisfy;
    }

    public void setSatisfy(String satisfy) {
        this.satisfy = satisfy;
    }

    public String getInstallStatus() {

        return installStatus;
    }

    public void setInstallStatus(String installStatus) {
        this.installStatus = installStatus;
    }

    public String getRemoveStatus() {
        return removeStatus;
    }

    public void setRemoveStatus(String removeStatus) {
        this.removeStatus = removeStatus;
    }

    public String getCurrentUser() {
        return currentUser;
    }

    public void setCurrentUser(String currentUser) {
        this.currentUser = currentUser;
    }

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    public Long getTaskType() {
        return taskType;
    }

    public void setTaskType(Long taskType) {
        this.taskType = taskType;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSubId(Long subId)
    {
        this.subId = subId;
    }

    public Long getSubId()
    {
        return subId;
    }
    public void setApproveId(Long approveId)
    {
        this.approveId = approveId;
    }

    public Long getApproveId()
    {
        return approveId;
    }
    public void setUnitNo(String unitNo)
    {
        this.unitNo = unitNo;
    }

    public String getUnitNo()
    {
        return unitNo;
    }
    public void setPidNo(String pidNo)
    {
        this.pidNo = pidNo;
    }

    public String getPidNo()
    {
        return pidNo;
    }
    public void setPipelineNo(String pipelineNo)
    {
        this.pipelineNo = pipelineNo;
    }

    public String getPipelineNo()
    {
        return pipelineNo;
    }
    public void setMedium(String medium)
    {
        this.medium = medium;
    }

    public String getMedium()
    {
        return medium;
    }
    public void setBlindNo(String blindNo)
    {
        this.blindNo = blindNo;
    }

    public String getBlindNo()
    {
        return blindNo;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setIsoType(String isoType)
    {
        this.isoType = isoType;
    }

    public String getIsoType()
    {
        return isoType;
    }
    public void setTagNo(String tagNo)
    {
        this.tagNo = tagNo;
    }

    public String getTagNo()
    {
        return tagNo;
    }
    public void setBlindSize(String blindSize)
    {
        this.blindSize = blindSize;
    }

    public String getBlindSize()
    {
        return blindSize;
    }
    public void setPressureRate(String pressureRate)
    {
        this.pressureRate = pressureRate;
    }

    public String getPressureRate()
    {
        return pressureRate;
    }
    public void setPressurized(String pressurized)
    {
        this.pressurized = pressurized;
    }

    public String getPressurized()
    {
        return pressurized;
    }
    public void setFigure(String figure)
    {
        this.figure = figure;
    }

    public String getFigure()
    {
        return figure;
    }
    public void setInstallDate(Date installDate)
    {
        this.installDate = installDate;
    }

    public Date getInstallDate()
    {
        return installDate;
    }
    public void setInProcess(String inProcess)
    {
        this.inProcess = inProcess;
    }

    public String getInProcess()
    {
        return inProcess;
    }
    public void setInCoordinator(String inCoordinator)
    {
        this.inCoordinator = inCoordinator;
    }

    public String getInCoordinator()
    {
        return inCoordinator;
    }
    public void setInContractor(String inContractor)
    {
        this.inContractor = inContractor;
    }

    public String getInContractor()
    {
        return inContractor;
    }
    public void setInConfirm1(String inConfirm1)
    {
        this.inConfirm1 = inConfirm1;
    }

    public String getInConfirm1()
    {
        return inConfirm1;
    }
    public void setInConfirm2(String inConfirm2)
    {
        this.inConfirm2 = inConfirm2;
    }

    public String getInConfirm2()
    {
        return inConfirm2;
    }
    public void setRemovedDate(Date removedDate)
    {
        this.removedDate = removedDate;
    }

    public Date getRemovedDate()
    {
        return removedDate;
    }
    public void setReProcess(String reProcess)
    {
        this.reProcess = reProcess;
    }

    public String getReProcess()
    {
        return reProcess;
    }
    public void setReCoordinator(String reCoordinator)
    {
        this.reCoordinator = reCoordinator;
    }

    public String getReCoordinator()
    {
        return reCoordinator;
    }
    public void setReContractor(String reContractor)
    {
        this.reContractor = reContractor;
    }

    public String getReContractor()
    {
        return reContractor;
    }
    public void setReConfirm1(String reConfirm1)
    {
        this.reConfirm1 = reConfirm1;
    }

    public String getReConfirm1()
    {
        return reConfirm1;
    }
    public void setReConfirm2(String reConfirm2)
    {
        this.reConfirm2 = reConfirm2;
    }

    public String getReConfirm2()
    {
        return reConfirm2;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subId", getSubId())
            .append("approveId", getApproveId())
            .append("unitNo", getUnitNo())
            .append("pidNo", getPidNo())
            .append("pipelineNo", getPipelineNo())
            .append("medium", getMedium())
            .append("blindNo", getBlindNo())
            .append("location", getLocation())
            .append("isoType", getIsoType())
            .append("tagNo", getTagNo())
            .append("blindSize", getBlindSize())
            .append("pressureRate", getPressureRate())
            .append("pressurized", getPressurized())
            .append("figure", getFigure())
            .append("installDate", getInstallDate())
            .append("inProcess", getInProcess())
            .append("inCoordinator", getInCoordinator())
            .append("inContractor", getInContractor())
            .append("inConfirm1", getInConfirm1())
            .append("inConfirm2", getInConfirm2())
            .append("removedDate", getRemovedDate())
            .append("reProcess", getReProcess())
            .append("reCoordinator", getReCoordinator())
            .append("reContractor", getReContractor())
            .append("reConfirm1", getReConfirm1())
            .append("reConfirm2", getReConfirm2())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("approveStatus", getApproveStatus())
            .toString();
    }
}
